## kodi-pvr-nextpvr 1.10.8+git20150724

=== CMakeLists.txt ===
project(pvr.nextpvr)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

enable_language(CXX)

find_package(kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(platform REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${platform_INCLUDE_DIRS}
                    ${TINYXML_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR})

set(NEXTPVR_SOURCES src/client.cpp
                    src/DialogRecordPref.cpp
                    src/liveshift.cpp
                    src/md5.cpp
                    src/pvrclient-nextpvr.cpp
                    src/RingBuffer.cpp
                    src/Socket.cpp
                    src/uri.cpp)

SET(DEPLIBS ${platform_LIBRARIES}
            ${TINYXML_LIBRARIES})
if(WIN32)
  list(APPEND DEPLIBS ws2_32)
endif()

build_addon(pvr.nextpvr NEXTPVR DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-nextpvr (1.10.8+git20150724-2) unstable; urgency=medium

  * Fix compilation on armhf and on many other architectures
  * Add more detailed package description (Closes: #808749)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 23 Dec 2015 14:05:26 +0100

kodi-pvr-nextpvr (1.10.8+git20150724-1) unstable; urgency=medium

  * Create packaging compliant to Debian Policy

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Dec 2015 20:31:53 +0100

kodi-pvr-nextpvr (1.9.27-1~trusty) trusty; urgency=low

  [ kodi ]
  * autogenerated dummy changelog

 -- Nobody <nobody@kodi.tv>  Sat, 01 Jun 2013 00:59:22 +0200

=== debian/control ===
Source: kodi-pvr-nextpvr
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.nextpvr.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-nextpvr.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-nextpvr.git


Package: kodi-pvr-nextpvr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: NextPVR PVR addon for Kodi
 This package contains the NextPVR PVR (Personal Video Recorder) Addon
 for Kodi, the award winning free and open source software media-player
 and entertainment hub for all your digital media
 .
 NextPVR is a free Personal Video Recorder (PVR) application for
 Microsoft Windows.
 .
 NextPVR supports a wide range of digital tuners including DVB-S/S2, DVB-
 T/T2, DVB-C, DMB-T, ATSC and QAM. NextPVR also supports specialist
 component/HDMI capture devices (like the Hauppauge HDPVR, HDPVR2 and
 Colossus), and Copy-Freely devices (like the Hauppauge DCR-2650 and
 HDHomeRun Prime). NextPVR supports all broadcast codec's including: MPEG-
 2 and H.264 video, and MPEG1 Layer II, AC3, E-AC3, AAC, HE-AAC audio.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	ln -s /usr/include/cec-platform src/platform
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-nextpvr

override_dh_makeshlibs:
	dh_makeshlibs -n

## kodi-pvr-nextpvr 1.12.11+git20160301

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,6 @@
                     ${KODI_INCLUDE_DIR})
 
 set(NEXTPVR_SOURCES src/client.cpp
-                    src/DialogRecordPref.cpp
                     src/liveshift.cpp
                     src/md5.cpp
                     src/pvrclient-nextpvr.cpp

=== debian/changelog ===
kodi-pvr-nextpvr (1.12.11+git20160301-2) unstable; urgency=medium

  * Fix enum representation of char_class_e to fix FTBFS on many architectures

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 08 Mar 2016 16:02:03 +0100

kodi-pvr-nextpvr (1.12.11+git20160301-1) unstable; urgency=medium

  * Imported Upstream version 1.12.11+git20160301
  * Bump standards version to 3.9.7
  * Drop patch integrated upstream
  * Switch to p8-platform from (cec-)platform

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Mar 2016 14:16:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
 Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
-               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev
-Standards-Version: 3.9.6
+               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/kodi-pvr/pvr.nextpvr.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-nextpvr.git

## kodi-pvr-nextpvr 2.4.7+git20161017

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,13 +6,13 @@
 
 enable_language(CXX)
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 find_package(kodiplatform REQUIRED)
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 find_package(TinyXML REQUIRED)
 
 include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${platform_INCLUDE_DIRS}
+                    ${p8-platform_INCLUDE_DIRS}
                     ${TINYXML_INCLUDE_DIR}
                     ${KODI_INCLUDE_DIR})
 
@@ -24,7 +24,7 @@
                     src/Socket.cpp
                     src/uri.cpp)
 
-SET(DEPLIBS ${platform_LIBRARIES}
+SET(DEPLIBS ${p8-platform_LIBRARIES}
             ${TINYXML_LIBRARIES})
 if(WIN32)
   list(APPEND DEPLIBS ws2_32)

=== debian/changelog ===
kodi-pvr-nextpvr (2.4.7+git20161017-2) unstable; urgency=medium

  * Update d/control using cme fix
  * Adapt to Kodi PVR api change - SeekTime
  * Depend on PVR API version of Kodi we built the addon with

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 03:49:01 +0100

kodi-pvr-nextpvr (2.4.7+git20161017-1) unstable; urgency=medium

  * Imported Upstream version 2.4.7+git20161017
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev
  * Build-depend on kodi-addons-dev version which has all the needed headers
  * Drop obsoleted patches
  * Drop hack to build with p8-platform

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 04 Nov 2016 11:21:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: kodi-pvr-nextpvr
-Priority: extra
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
-Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
-               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
+Section: libs
+Priority: extra
+Build-Depends: debhelper (>= 9.0.0),
+               cmake,
+               libtinyxml-dev,
+               libkodiplatform-dev (>= 17.1.0),
+               kodi-addons-dev (>= 17.0~beta6~)
 Standards-Version: 3.9.7
-Section: libs
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-nextpvr.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-nextpvr.git
 Homepage: https://github.com/kodi-pvr/pvr.nextpvr.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-nextpvr.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-nextpvr.git
-
 
 Package: kodi-pvr-nextpvr
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:PVRAPI}
 Description: NextPVR PVR addon for Kodi
  This package contains the NextPVR PVR (Personal Video Recorder) Addon
  for Kodi, the award winning free and open source software media-player

## kodi-pvr-nextpvr 3.3.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.nextpvr)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(kodiplatform REQUIRED)
find_package(p8-platform REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${kodiplatform_INCLUDE_DIRS}
                    ${p8-platform_INCLUDE_DIRS}
                    ${TINYXML_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways

set(NEXTPVR_SOURCES src/client.cpp
                    src/md5.cpp
                    src/pvrclient-nextpvr.cpp
                    src/Socket.cpp
                    src/uri.cpp
                    src/BackendRequest.cpp
                    src/buffers/Buffer.cpp
                    src/buffers/DummyBuffer.cpp
                    src/buffers/ClientTimeshift.cpp
                    src/buffers/TimeshiftBuffer.cpp
                    src/buffers/RecordingBuffer.cpp
                    src/buffers/CircularBuffer.cpp
                    src/buffers/RollingFile.cpp
                    src/buffers/Seeker.cpp)

set(NEXTPVR_HEADERS src/client.h
                    src/FileUtils.h
                    src/md5.h
                    src/os-dependent.h
                    src/pvrclient-nextpvr.h
                    src/Socket.h
                    src/uri.h
                    src/BackendRequest.h
                    src/buffers/Buffer.h
                    src/buffers/DummyBuffer.h
                    src/buffers/ClientTimeshift.h
                    src/buffers/TimeshiftBuffer.h
                    src/buffers/RecordingBuffer.h
                    src/buffers/CircularBuffer.h
                    src/buffers/RollingFile.h
                    src/buffers/Seeker.h)

SET(DEPLIBS ${p8-platform_LIBRARIES}
            ${kodiplatform_LIBRARIES}
            ${TINYXML_LIBRARIES})
if(WIN32)
  list(APPEND DEPLIBS ws2_32)
  add_definitions(/D_WINSOCK_DEPRECATED_NO_WARNINGS)
endif()

build_addon(pvr.nextpvr NEXTPVR DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-nextpvr (3.3.18-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Add basic Salsa CI configuration
  * Add debian/watch file
  * New upstream version 3.3.18
  * Bump libkodiplatform-dev and kodi-addons-dev build-dependency versions
  * Refresh patches
  * Build-depend on kodi-addons-dev (>= 2:18~) (with correct epoch)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: kodi-pvr-nextpvr
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
 Section: libs
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9.0.0),
                cmake,
                libtinyxml-dev,
-               libkodiplatform-dev (>= 17.1.0),
-               kodi-addons-dev (>= 17.0~beta6~)
+               kodi-addons-dev (>= 2:18~),
+               libkodiplatform-dev (>= 20180302),
 Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-nextpvr.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-nextpvr.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-nextpvr
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-nextpvr.git
 Homepage: https://github.com/kodi-pvr/pvr.nextpvr.git
 
 Package: kodi-pvr-nextpvr

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
-	ln -s /usr/include/cec-platform src/platform
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi -DUSE_LTO=1
 
 override_dh_installdocs:

=== debian/watch ===
version=4
https://github.com/kodi-pvr/pvr.nextpvr/releases /kodi-pvr/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz

## kodi-pvr-nextpvr 8.2.1+ds1

=== debian/changelog ===
kodi-pvr-nextpvr (8.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 8.2.1+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 18 Feb 2021 23:39:17 +0000

kodi-pvr-nextpvr (8.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 8.1.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:00 +0000

kodi-pvr-nextpvr (8.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.2+ds1
    + Repack out vendored dependencies
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:10:33 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.nextpvr/releases \
/kodi-pvr/pvr.nextpvr/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-pvr-nextpvr 8.2.3%2Bds1

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: kodi-pvr-nextpvr
+Priority: optional
+Section: video
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
-Section: libs
-Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
-               cmake,
-               libtinyxml-dev,
-               kodi-addons-dev (>= 2:18~),
-               libkodiplatform-dev (>= 20180302),
-Standards-Version: 3.9.7
-Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-nextpvr
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-nextpvr.git
+Uploaders: Vasyl Gello <vasek.gello@gmail.com>
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: dh-sequence-kodiaddon,
+ cmake,
+ kodi-addons-dev (>= 2:19~),
+ libtinyxml2-dev,
+ zlib1g-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr.git
 Homepage: https://github.com/kodi-pvr/pvr.nextpvr.git
 
 Package: kodi-pvr-nextpvr
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${kodi:PVRAPI}
+ ${misc:Depends},
+ ${kodi:PVRAPI}
 Description: NextPVR PVR addon for Kodi
  This package contains the NextPVR PVR (Personal Video Recorder) Addon
  for Kodi, the award winning free and open source software media-player

## kodi-pvr-nextpvr 8.2.3+ds1

=== debian/changelog ===
kodi-pvr-nextpvr (8.2.3+ds1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:39:09 -0700

kodi-pvr-nextpvr (8.2.3+ds1-1) unstable; urgency=medium

  * New upstream version 8.2.3+ds1
  * Fix github ref

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 08 May 2021 22:07:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kodi-pvr-nextpvr
 Priority: optional
 Section: video
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
- cmake,
- kodi-addons-dev (>= 2:19~),
- libtinyxml2-dev,
- zlib1g-dev
+Build-Depends-Arch: cmake,
+                    dh-sequence-kodiaddon,
+                    kodi-addons-dev (>= 2:19~),
+                    libtinyxml2-dev,
+                    zlib1g-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr
@@ -17,9 +18,7 @@
 
 Package: kodi-pvr-nextpvr
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends},
- ${kodi:PVRAPI}
+Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
 Description: NextPVR PVR addon for Kodi
  This package contains the NextPVR PVR (Personal Video Recorder) Addon
  for Kodi, the award winning free and open source software media-player

## kodi-pvr-nextpvr 19.0.1+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.nextpvr)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(TinyXML2 REQUIRED)

include_directories(${TINYXML2_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways

set(NEXTPVR_SOURCES src/addon.cpp
                    src/pvrclient-nextpvr.cpp
                    src/Socket.cpp
                    src/uri.cpp
                    src/BackendRequest.cpp
                    src/Channels.cpp
                    src/EPG.cpp
                    src/MenuHook.cpp
                    src/Recordings.cpp
                    src/Settings.cpp
                    src/Timers.cpp
                    src/buffers/Buffer.cpp
                    src/buffers/DummyBuffer.cpp
                    src/buffers/TranscodedBuffer.cpp
                    src/buffers/ClientTimeshift.cpp
                    src/buffers/TimeshiftBuffer.cpp
                    src/buffers/RecordingBuffer.cpp
                    src/buffers/CircularBuffer.cpp
                    src/buffers/RollingFile.cpp
                    src/buffers/Seeker.cpp)

set(NEXTPVR_HEADERS src/addon.h
                    src/os-dependent.h
                    src/pvrclient-nextpvr.h
                    src/Socket.h
                    src/uri.h
                    src/BackendRequest.h
                    src/Channels.h
                    src/EPG.h
                    src/MenuHook.h
                    src/Recordings.h
                    src/Settings.h
                    src/Timers.h
                    src/buffers/Buffer.h
                    src/buffers/DummyBuffer.h
                    src/buffers/TranscodedBuffer.h
                    src/buffers/ClientTimeshift.h
                    src/buffers/TimeshiftBuffer.h
                    src/buffers/RecordingBuffer.h
                    src/buffers/CircularBuffer.h
                    src/buffers/RollingFile.h
                    src/buffers/Seeker.h
                    src/utilities/XMLUtils.h)

SET(DEPLIBS ${TINYXML2_LIBRARIES})
if(WIN32)
  list(APPEND DEPLIBS ws2_32)
  add_definitions(-D_WINSOCKAPI_ -D_WINSOCK_DEPRECATED_NO_WARNINGS)
endif()

build_addon(pvr.nextpvr NEXTPVR DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-pvr-nextpvr (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 24 Oct 2021 14:22:32 +0000

kodi-pvr-nextpvr (8.2.7+ds1-1) unstable; urgency=medium

  * New upstream version 8.2.7+ds1
  * Bump standard version

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Aug 2021 14:55:33 +0000

kodi-pvr-nextpvr (8.2.6+ds1-1) unstable; urgency=medium

  * New upstream version 8.2.6+ds1
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:32:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kodi-pvr-nextpvr
 Priority: optional
 Section: video
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    libtinyxml2-dev,
-                    zlib1g-dev
-Standards-Version: 4.5.1
+Build-Depends-Arch: dh-sequence-kodiaddon,
+ cmake,
+ kodi-addons-dev (>= 2:19~),
+ libtinyxml2-dev,
+ zlib1g-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr.git
@@ -18,7 +17,9 @@
 
 Package: kodi-pvr-nextpvr
 Architecture: any
-Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ ${kodi:PVRAPI}
 Description: NextPVR PVR addon for Kodi
  This package contains the NextPVR PVR (Personal Video Recorder) Addon
  for Kodi, the award winning free and open source software media-player

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.nextpvr/releases \
/kodi-pvr/pvr.nextpvr/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-nextpvr 19.0.3+ds1

=== debian/changelog ===
kodi-pvr-nextpvr (19.0.3+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:28 +0000

kodi-pvr-nextpvr (19.0.3+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.3+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:50:11 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
  cmake,
- kodi-addons-dev (>= 2:19~),
  libtinyxml2-dev,
  zlib1g-dev
 Standards-Version: 4.6.0

## kodi-pvr-nextpvr 20.2.3+ds1

=== debian/changelog ===
kodi-pvr-nextpvr (20.2.3+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.3+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:56:05 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.nextpvr/releases \
/kodi-pvr/pvr.nextpvr/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-nextpvr 20.3.0+ds1

=== debian/changelog ===
kodi-pvr-nextpvr (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:42 +0000

## kodi-pvr-nextpvr 20.3.1%2Bds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,10 +24,8 @@
                     src/buffers/DummyBuffer.cpp
                     src/buffers/TranscodedBuffer.cpp
                     src/buffers/ClientTimeshift.cpp
-                    src/buffers/TimeshiftBuffer.cpp
                     src/buffers/RecordingBuffer.cpp
                     src/buffers/CircularBuffer.cpp
-                    src/buffers/RollingFile.cpp
                     src/buffers/Seeker.cpp)
 
 set(NEXTPVR_HEADERS src/addon.h
@@ -46,10 +44,8 @@
                     src/buffers/DummyBuffer.h
                     src/buffers/TranscodedBuffer.h
                     src/buffers/ClientTimeshift.h
-                    src/buffers/TimeshiftBuffer.h
                     src/buffers/RecordingBuffer.h
                     src/buffers/CircularBuffer.h
-                    src/buffers/RollingFile.h
                     src/buffers/Seeker.h
                     src/utilities/XMLUtils.h)

=== debian/changelog ===
kodi-pvr-nextpvr (20.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.1+ds1

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 16 Dec 2022 11:53:50 +0000

## kodi-pvr-nextpvr 20.3.1+ds1

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
  cmake,
  libtinyxml2-dev,
  zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.nextpvr \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-nextpvr 20.4.3+ds

=== debian/changelog ===
kodi-pvr-nextpvr (20.4.3+ds-1) unstable; urgency=medium

  * New upstream version 20.4.3+ds
  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:44 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  libtinyxml2-dev,
  zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr.git

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/kodi-pvr/pvr.nextpvr \

## kodi-pvr-nextpvr 21.2.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
                     src/EPG.cpp
                     src/MenuHook.cpp
                     src/Recordings.cpp
-                    src/Settings.cpp
+                    src/InstanceSettings.cpp
                     src/Timers.cpp
                     src/buffers/Buffer.cpp
                     src/buffers/DummyBuffer.cpp
@@ -26,6 +26,7 @@
                     src/buffers/ClientTimeshift.cpp
                     src/buffers/RecordingBuffer.cpp
                     src/buffers/CircularBuffer.cpp
+                    src/utilities/SettingsMigration.cpp
                     src/buffers/Seeker.cpp)
 
 set(NEXTPVR_HEADERS src/addon.h
@@ -38,7 +39,7 @@
                     src/EPG.h
                     src/MenuHook.h
                     src/Recordings.h
-                    src/Settings.h
+                    src/InstanceSettings.h
                     src/Timers.h
                     src/buffers/Buffer.h
                     src/buffers/DummyBuffer.h
@@ -47,6 +48,7 @@
                     src/buffers/RecordingBuffer.h
                     src/buffers/CircularBuffer.h
                     src/buffers/Seeker.h
+                    src/utilities/SettingsMigration.h
                     src/utilities/XMLUtils.h)
 
 SET(DEPLIBS ${TINYXML2_LIBRARIES})

=== debian/changelog ===
kodi-pvr-nextpvr (21.2.0+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:54 +0000

kodi-pvr-nextpvr (21.2.0+ds-1) unstable; urgency=medium

  * New upstream version 21.2.0+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 19 Aug 2024 06:02:49 +0000

kodi-pvr-nextpvr (21.1.1+ds-1) unstable; urgency=medium

  * New upstream version 21.1.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:57:26 +0000

kodi-pvr-nextpvr (21.0.2+ds-1) experimental; urgency=medium

  * New upstream version 21.0.2+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.3+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:15 +0000

## kodi-pvr-nextpvr 21.3.0+ds

=== debian/changelog ===
kodi-pvr-nextpvr (21.3.0+ds-1) unstable; urgency=medium

  * New upstream version 21.3.0+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Dec 2024 06:30:44 +0000

## kodi-pvr-nextpvr 21.3.1%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
                     src/buffers/ClientTimeshift.cpp
                     src/buffers/RecordingBuffer.cpp
                     src/buffers/CircularBuffer.cpp
+                    src/utilities/GenreMapper.cpp
                     src/utilities/SettingsMigration.cpp
                     src/buffers/Seeker.cpp)
 
@@ -48,6 +49,7 @@
                     src/buffers/RecordingBuffer.h
                     src/buffers/CircularBuffer.h
                     src/buffers/Seeker.h
+                    src/utilities/GenreMapper.h
                     src/utilities/SettingsMigration.h
                     src/utilities/XMLUtils.h)

=== debian/changelog ===
kodi-pvr-nextpvr (21.3.1+ds-1) unstable; urgency=high

  * New upstream version 21.3.1+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:02 +0000

## kodi-pvr-nextpvr 21.3.1+ds

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.nextpvr \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian

## kodi-pvr-nextpvr 21.3.2%2Bds

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
  libtinyxml2-dev,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-nextpvr.git -b debian/sid
 Homepage: https://github.com/kodi-pvr/pvr.nextpvr.git
 
 Package: kodi-pvr-nextpvr

## kodi-pvr-nextpvr 21.3.2+ds

=== debian/changelog ===
kodi-pvr-nextpvr (21.3.2+ds-1build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:22:12 +0000

kodi-pvr-nextpvr (21.3.2+ds-1) unstable; urgency=high

  * New upstream version 21.3.2+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 18 Mar 2025 06:36:11 +0000
